Follow a Booking

This returns minimal booking information required for the passenger to access without being logged in. For security reasons, this endpoint will return 404 after the trip completes or the driver cancels.

{
  "date_booked": "2020-11-12T09:46:41Z",
  "date_scheduled": "2021-02-17T15:26:00Z",
  "destination": {
    "display_address": "Buckingham Palace, Buckingham Gate, SW1E 6JP, City of Westminster, United Kingdom",
    "place_id": "o_R5208404",
    "poi_type": "NOT_SET_POI_TYPE",
    "position": {
      "latitude": 51.500843,
      "longitude": -0.14298783
    },
    "timezone": "Europe/London"
  },
  "display_trip_id": "2B2F-664E",
  "fleet_info": {
    "logo_url": "https://cdn.karhoo.com/d/images/organisation-logos/69279eb83537f0471137a72184f31edb.png",
    "name": "PHV Fleet (Robot Fleet GB)",
    "phone_number": "+44800000000",
    "terms_conditions_url": "https://cdn.karhoo.com/d/terms/fleets/7f8d80dc-0872-4fc0-86bd-658488d8fcb2/index.html"
  },
  "meeting_point": {
    "instructions": "Meet Driver outside terminal near Bus stop and taxi rank",
    "position": {
      "latitude": 51.156967,
      "longitude": -0.162532
    },
    "type": "CURB_SIDE"
  },
  "origin": {
    "display_address": "Gatwick Airport (LGW), South Terminal, London, UK",
    "place_id": "k_e4fd1bd3-7890-11e9-a982-0a580a040cc9",
    "poi_type": "ENRICHED",
    "position": {
      "latitude": 51.157753,
      "longitude": -0.1619743
    },
    "timezone": "Europe/London"
  },
  "passengers": {
    "additional_passengers": 3,
    "luggage": {
      "total": 2
    },
    "passenger_details": [
      {
        "email": "[email protected]",
        "first_name": "John",
        "last_name": "Smith",
        "locale": "en_GB",
        "phone_number": "+4412345678"
      }
    ]
  },
  "quote": {
    "breakdown": [],
    "currency": "GBP",
    "high_price": 2750,
    "low_price": 2750,
    "total": 2250,
    "type": "FIXED",
    "vehicle_attributes": {
      "luggage_capacity": 2,
      "passenger_capacity": 4
    },
    "vehicle_class": "saloon"
  },
  "status": "CONFIRMED",
  "tracking": {},
  "trip_id": "58686f2e-bcd9-47d9-90bf-c9c32b2f664e",
  "vehicle": {
    "attributes": {},
    "driver": {
      "first_name": "",
      "last_name": "",
      "phone_number": ""
    },
    "vehicle_class": "saloon",
    "vehicle_license_plate": ""
  }
}
Path Params
string
required

The follow code of the Booking

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*